View Issue Details

IDProjectCategoryView StatusLast Update
0004445Slicer4Core: Base Codepublic2019-06-04 15:56
ReporterlassoanAssigned Tolassoan 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.11.0Fixed in VersionSlicer 4.9.0 
Summary0004445: Model files should be saved in LPS coordinate system
Description

Most software use LPS coordinate system. Slicer uses that for storing file storage for all nodes except models, which often causes unexpected misalignments when data is exchanged with external software.

Strategy for addressing this issue is described in https://issues.slicer.org/view.php?id=4408

This issue tracks resolution of Step 2-4.

TagsNo tags attached.

Relationships

related to 0004408 closedlassoan Save coordinate system in surface mesh file 

Activities

lassoan

lassoan

2018-03-20 12:32

developer   ~0015576

Work-in-progress branch for Slicer developments (writes coordinate system to obj files as well):
https://github.com/lassoan/Slicer/tree/stl-lps-coordinate-sytem

Pull request sent to add file comment reading to STL and OBJ reader:
https://gitlab.kitware.com/vtk/vtk/merge_requests/4084

jcfr

jcfr

2018-03-31 01:13

administrator   ~0015629

This is addressed in:

lassoan

lassoan

2019-06-04 15:55

developer   ~0016268

Remaining steps:

  • Add a file IO option so that the user could choose orientation (auto, RAS, LPS), both when reading and writing model files
  • Change the behavior when reading a model from file to assume LPS if coordinate system information is missing (to be compatible with the rest of the world). When loading an old scene (that has no coordinate system information in the storage node or in the file), we would still assume RAS.

Issue History

Date Modified Username Field Change
2017-09-27 19:04 lassoan New Issue
2017-09-27 19:04 lassoan Status new => assigned
2017-09-27 19:04 lassoan Assigned To => jcfr
2017-09-27 19:04 lassoan Relationship added related to 0004408
2018-03-20 12:32 lassoan Note Added: 0015576
2018-03-31 01:13 jcfr Status assigned => resolved
2018-03-31 01:13 jcfr Resolution open => fixed
2018-03-31 01:13 jcfr Fixed in Version => Slicer 4.9.0
2018-03-31 01:13 jcfr Note Added: 0015629
2019-06-04 15:55 lassoan Assigned To jcfr => lassoan
2019-06-04 15:55 lassoan Status resolved => confirmed
2019-06-04 15:55 lassoan Note Added: 0016268
2019-06-04 15:56 lassoan Target Version Slicer 4.9.0 => Slicer 4.11.0